package genericcollections;



public class Song implements Comparable<Song> {
	private String name;
	private String artist;
	private int rank;
	
	public Song(String name,String artist, int rank)
	{
		this.name =name;
		this.artist =artist;
		this.rank=rank;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getArtist() {
		return artist;
	}
	public void setArtist(String artist) {
		this.artist = artist;
	}
	public int getRank() {
		return rank;
	}
	public void setRank(int rank) {
		this.rank = rank;
	}
	
	@Override
	public String toString() {
		return "Song [" + name + ", by " + artist + ", rank=" + rank
				+ "]";
	}

	//differences for generics
	public int compareTo(Song another)
	{
		return this.name.compareTo(another.name);
	}
	
	//new overridden methods of Object
	 public boolean equals(Object aSong) 
	 {
		Song s = (Song) aSong;
		return this.getName().equals(s.getName());
	 }
	    
	 public int hashCode() 
	 {
        return this.getName().hashCode();
	 }
}
