package genericcollections;

import java.util.*;
import java.io.*;


public class SongsReader {
	List<Song> songList = new ArrayList<Song>();
	
	public void go() {
		readSongs();
		
	}
	
	void readSongs() 
	{
		try 
		{
			File file = new File("songs1.txt");
			BufferedReader reader = new BufferedReader(new FileReader(file));
			String line = null;
			while ((line= reader.readLine()) != null) 
			{
				addSong(line);
			}
			reader.close();
		} 
		catch(Exception ex) 
		{
			ex.printStackTrace();
		}		
	}
	
	void addSong(String lineToParse) {
		String[] tokens = lineToParse.split(",");
		songList.add(new Song(tokens[0],tokens[1],Integer.parseInt(tokens[2])));
	}
}
